#include <iostream>

using namespace std;
void f(int a, int b, int x, int y)
{
    if(a==x&&b==y)
    {
        printf("nijedan");
        return;
    }
    if(a==x)
    {
        printf("drugi");
        return;
    }
    if(b==y)
    {
        printf("prvi");
        return;
    }
    printf("?");
    return;
}
int main()
{
    int a, b, x, y;
    scanf("%d%d%d%d", &a, &b, &x, &y);
    f(a, b, x, y);
    return 0;
}